summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-21 14:04:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-21 14:10:54 +0000
commitad2dc2e3a5b504290cdfee6f8605e11e25dc9920 (patch)
tree27218691069dc6168d19c0485ecc3ab1f80d92bd /testing
parentcb0c20d57cec46314cd0cc41cd09c28147636850 (diff)
downloadaports-ad2dc2e3a5b504290cdfee6f8605e11e25dc9920.tar.bz2
aports-ad2dc2e3a5b504290cdfee6f8605e11e25dc9920.tar.xz
testing/hardinfo: new aport
A system information and benchmark tool http://hardinfo.berlios.de/wiki/index.php/Main_Page (cherry picked from commit 417e043d467ea56abc89390c88157921c6a17f4e)
Diffstat (limited to 'testing')
-rw-r--r--testing/hardinfo/APKBUILD32
-rw-r--r--testing/hardinfo/fixsensors.patch13
2 files changed, 45 insertions, 0 deletions
diff --git a/testing/hardinfo/APKBUILD b/testing/hardinfo/APKBUILD
new file mode 100644
index 00000000..ac60f1dd
--- /dev/null
+++ b/testing/hardinfo/APKBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=hardinfo
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="A system information and benchmark tool."
+url="http://hardinfo.berlios.de/wiki/index.php/Main_Page"
+license="GPL-2"
+makedepends="gtk+-dev libsoup-dev>=2.4.0 gnutls-dev>=2.4.1"
+depends=
+source="http://download.berlios.de/$pkgname/$pkgname-$pkgver.tar.bz2
+ fixsensors.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -p1 < "$srcdir"/fixsensors.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -d "$pkgdir"/etc
+ echo "Alpine Linux" > "$pkgdir"/etc/hardinfo.distro
+}
+md5sums="6fb38992e140f2fab16518ae1f38e188 hardinfo-0.5.1.tar.bz2
+05c212db07b9f152cdea052ff7bb28fa fixsensors.patch"
diff --git a/testing/hardinfo/fixsensors.patch b/testing/hardinfo/fixsensors.patch
new file mode 100644
index 00000000..812c2945
--- /dev/null
+++ b/testing/hardinfo/fixsensors.patch
@@ -0,0 +1,13 @@
+ diff -upNr hardinfo-0.4.2.2.orign/util.c hardinfo-0.4.2.2/util.c
+--- hardinfo-0.4.2.2.orign/util.c 2007-07-20 16:45:08.000000000 +0200
++++ hardinfo-0.4.2.2/util.c 2007-07-26 10:15:32.000000000 +0200
+@@ -996,7 +996,8 @@ gchar *h_strdup_cprintf(const gchar * fo
+ if (source) {
+ retn = g_strconcat(source, buffer, NULL);
+ g_free(buffer);
+- g_free(source);
++ if(strlen(source))
++ g_free(source);
+ } else {
+ retn = buffer;
+ }